<template>
  <ie-page :fix-height="true">
    <ie-navbar :title="pageTitle" />
    <ie-auto-resizer>
      <web-view class="w-full h-full" :src="url" />
    </ie-auto-resizer>
  </ie-page>
</template>

<script lang="ts" setup>
import { useTransferPage } from '@/hooks/useTransferPage';

const { prevData } = useTransferPage();
const url = ref('');
const pageTitle = ref('');
onLoad(() => {
  url.value = prevData.value.url;
  pageTitle.value = prevData.value.title;
});
</script>

<style lang="scss"></style>